## XbBuilder XbBuilder |

## Functions

XbBuilder * | xb_builder_new ()
void | xb_builder_append_guid ()
void | xb_builder_import_source ()
void | xb_builder_import_node ()
XbSilo * | xb_builder_compile ()
XbSilo * | xb_builder_ensure ()
void | xb_builder_add_locale ()
void | xb_builder_add_fixup ()
void | xb_builder_set_profile_flags ()

## Types and Values

#define | XB_TYPE_BUILDER
struct | XbBuilderClass
enum | XbBuilderCompileFlags
| XbBuilder

## Description

## Functions

### xb_builder_new ()

    XbBuilder *
    xb_builder_new (void);

### xb_builder_append_guid ()

    void
    xb_builder_append_guid (XbBuilder *self,
                            const gchar *guid);

### xb_builder_import_source ()

    void
    xb_builder_import_source (XbBuilder *self,
                              XbBuilderSource *source);

### xb_builder_import_node ()

    void
    xb_builder_import_node (XbBuilder *self,
                            XbBuilderNode *bn);

### xb_builder_compile ()

    XbSilo *
    xb_builder_compile (XbBuilder *self,
                        XbBuilderCompileFlags flags,
                        GCancellable *cancellable,
                        GError **error);

### xb_builder_ensure ()

    XbSilo *
    xb_builder_ensure (XbBuilder *self,
                       GFile *file,
                       XbBuilderCompileFlags flags,
                       GCancellable *cancellable,
                       GError **error);

### xb_builder_add_locale ()

    void
    xb_builder_add_locale (XbBuilder *self,
                           const gchar *locale);

### xb_builder_add_fixup ()

    void
    xb_builder_add_fixup (XbBuilder *self,
                          XbBuilderFixup *fixup);

### xb_builder_set_profile_flags ()

    void
    xb_builder_set_profile_flags (XbBuilder *self,
                                  XbSiloProfileFlags profile_flags);

## Types and Values

### XB_TYPE_BUILDER

    #define XB_TYPE_BUILDER (xb_builder_get_type ())

### struct XbBuilderClass

    struct XbBuilderClass {
    	GObjectClass			 parent_class;
    };

### enum XbBuilderCompileFlags

The flags for converting to XML.

#### Members

XB_BUILDER_COMPILE_FLAG_NONE | No extra flags to use |
XB_BUILDER_COMPILE_FLAG_NATIVE_LANGS | Only load native languages |
XB_BUILDER_COMPILE_FLAG_IGNORE_INVALID | Ignore invalid files without an error |
XB_BUILDER_COMPILE_FLAG_SINGLE_LANG | Only store a single language |
XB_BUILDER_COMPILE_FLAG_WATCH_BLOB | Watch the XMLB file for changes |
XB_BUILDER_COMPILE_FLAG_IGNORE_GUID | Ignore the cache GUID value |
XB_BUILDER_COMPILE_FLAG_SINGLE_ROOT | Require at most one root node |

### XbBuilder

    typedef struct _XbBuilder XbBuilder;